[SCM] PostGIS branch master updated. 3.7.0rc1-42-g8614c07a4

git at osgeo.org git at osgeo.org
Mon Sep 7 18:43:17 PDT 2026


This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "PostGIS".

The branch, master has been updated
       via  8614c07a40178981ea16e4ecf4be85d0156ccc17 (commit)
       via  d9760cc174776ba7abe72572709ee84ff529239e (commit)
       via  33bc17e7c8ef88150a624ae11c30013b9a016297 (commit)
       via  748d1018fdf67b183722f801b848727faccb3fde (commit)
      from  54374cbf25fe631fc9f889ed854affbe46434f6d (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.

- Log -----------------------------------------------------------------
commit 8614c07a40178981ea16e4ecf4be85d0156ccc17
Author: Regina Obe <lr at pcorp.us>
Date:   Mon Sep 7 21:40:13 2026 -0400

    Don't give a confusing error when visual-examples has not been run yet
    Give a simple note that it needs to be run to build docs and then stop
    
    Also note in the NEWS that visual-examples is a requirement for doc building
    Closes #6124 for PostGIS 3.7.0

diff --git a/NEWS b/NEWS
index 0a08513f3..5443b197a 100644
--- a/NEWS
+++ b/NEWS
@@ -6,6 +6,12 @@ To take advantage of all postgis extension features, GEOS 3.15+ is needed.
 To take advantage of all postgis_sfcgal extension features SFCGAL 2.3+ is needed.
 Python 3 is a new requirement to build the documentation.
 
+To build docs, first run visual examples and make sure you have a running
+PostgreSQL instance.
+
+`make -C regress visual-examples`
+
+
 * Breaking Changes *
 
  - #5688, [topology] topology building functions now interpret tolerance 0
diff --git a/doc/Makefile.in b/doc/Makefile.in
index 7353f9a51..a0e186e3b 100644
--- a/doc/Makefile.in
+++ b/doc/Makefile.in
@@ -548,7 +548,7 @@ $(html_builddir)/postgis$(DOCSUFFIX).html: postgis-out.xml Makefile $(HTML_DOCBO
 		$<
 
 
-postgis-${POSTGIS_MAJOR_VERSION}.${POSTGIS_MINOR_VERSION}.${POSTGIS_MICRO_VERSION}$(DOCSUFFIX).pdf: postgis-out.xml $(abs_srcdir)/texstyle-common.sty $(abs_srcdir)/texstyle.sty $(POSTGIS_DBLATEX_BLOCK_LABELS_XSL) $(POSTGIS_HTML_BLOCK_LABELS_XSL) $(POSTGIS_BLOCK_LABELS_COMMON_XSL) $(visual_examples_inputs) | images pdf-images
+postgis-${POSTGIS_MAJOR_VERSION}.${POSTGIS_MINOR_VERSION}.${POSTGIS_MICRO_VERSION}$(DOCSUFFIX).pdf: postgis-out.xml $(abs_srcdir)/texstyle-common.sty $(abs_srcdir)/texstyle.sty $(POSTGIS_DBLATEX_BLOCK_LABELS_XSL) $(POSTGIS_HTML_BLOCK_LABELS_XSL) $(POSTGIS_BLOCK_LABELS_COMMON_XSL) $(visual_examples_inputs) | visual-examples images pdf-images
 ifeq ($(DBLATEX),)
 	@echo
 	@echo "configure was unable to find the 'dblatex' utility program."
@@ -623,9 +623,9 @@ images images-install images-uninstall images-clean:
 	$(MAKE) -C $(images_builddir) $@
 
 visual-examples:
-	$(MAKE) -C $(images_builddir) visual-examples-check
+	@$(if $(shell test -s '$(visual_examples_manifest)' && echo ok),true,$(error Visual examples are missing. Run 'make -C regress visual-examples' first.))
 
-pdf-images: images
+pdf-images: visual-examples images
 	$(MAKE) -C $(images_builddir) $@ PDF_IMAGES_BUILD_DIR="$(pdf_images_builddir)"
 
 html-clean:
diff --git a/doc/html/images/Makefile.in b/doc/html/images/Makefile.in
index b417b93ec..2cdd8e0d6 100644
--- a/doc/html/images/Makefile.in
+++ b/doc/html/images/Makefile.in
@@ -49,14 +49,7 @@ images: visual-examples-check $(ALL_IMAGES)
 pdf-images: $(PDF_IMAGES) visual-examples-pdf
 
 visual-examples-check:
-	@test -s $(VISUAL_EXAMPLES_MANIFEST) || { \
-		echo "Visual examples are missing. Run 'make -C regress visual-examples' first." >&2; \
-		exit 1; \
-	}
-	@test -s $(VISUAL_EXAMPLES_XML_MANIFEST) || { \
-		echo "Visual example XML manifest is missing. Run 'make -C regress visual-examples' first." >&2; \
-		exit 1; \
-	}
+	@$(if $(shell test -s '$(VISUAL_EXAMPLES_MANIFEST)' && test -s '$(VISUAL_EXAMPLES_XML_MANIFEST)' && echo ok),true,$(error Visual examples are missing. Run 'make -C regress visual-examples' first.))
 
 visual-examples-pdf: visual-examples-check
 	@mkdir -p $(PDF_IMAGES_BUILD_DIR)/$(VISUAL_EXAMPLES_DIR)

commit d9760cc174776ba7abe72572709ee84ff529239e
Author: Regina Obe <lr at pcorp.us>
Date:   Mon Sep 7 20:15:44 2026 -0400

    GHA stop testing latest and change to pg19
    
     - latest is now at PostgreSQL 20, which is broken against 3.7
    
     - Instead swap out with pg19-geosmain-gdalmaster-proj98

diff --git a/.github/workflows/ci.yml b/.github/workflows/ci.yml
index 707beab9a..c9d4d16c1 100644
--- a/.github/workflows/ci.yml
+++ b/.github/workflows/ci.yml
@@ -36,9 +36,9 @@ jobs:
         #- { tag: pg13-geos39-gdal31-proj71, mode: usan_gcc }
         #- { tag: pg14-clang-geos39-gdal31-proj71, mode: usan_clang }
         # Run tests with different dependency combinations
-        - { tag: latest, mode: tests }
+        - { tag: pg19-geosmain-gdalmaster-proj98, mode: tests }
         - { tag: pg18-geosmain-gdal311-proj96, mode: standard_conforming_strings_off }
-        - { tag: latest, mode: garden }
+        - { tag: pg19-geosmain-gdalmaster-proj98, mode: garden }
 
     runs-on: ubuntu-latest
     steps:

commit 33bc17e7c8ef88150a624ae11c30013b9a016297
Author: Regina Obe <lr at pcorp.us>
Date:   Mon Sep 7 20:11:54 2026 -0400

    WINNIE changes
     - Update winnie default versions of libraries
     - Make -j configurable, but default to 2 if not passed in

diff --git a/ci/winnie/regress_postgis.sh b/ci/winnie/regress_postgis.sh
index a51319b89..2c48f998b 100644
--- a/ci/winnie/regress_postgis.sh
+++ b/ci/winnie/regress_postgis.sh
@@ -98,7 +98,7 @@ LDFLAGS="-Wl,--enable-auto-import -L${PGPATH}/lib -L${LZ4_PATH}/lib -L${PROJECTS
 #patch liblwgeom generated make to get rid of dynamic linking
 #sed -i 's/LDFLAGS += -no-undefined//g' liblwgeom/Makefile
 
-make -j 2
+make -j $NPROC
 make install
 
 # don't run tests twice. Only run regular if extension test is not asked for
diff --git a/ci/winnie/winnie_common.sh b/ci/winnie/winnie_common.sh
index 1739cd7d7..c264be2bc 100644
--- a/ci/winnie/winnie_common.sh
+++ b/ci/winnie/winnie_common.sh
@@ -12,17 +12,17 @@ export MSYS2_ARG_CONV_EXCL=/config/tags
 export XML_CATALOG_FILES="/projects/docbook/docbook-5.0.1/catalog.xml"
 
 if  [[ "${OVERRIDE}" == '' ]] ; then
-	export GEOS_VER=3.13.1
-	export GDAL_VER=3.9.2
-	export PROJ_VER=8.2.1
+	export GEOS_VER=3.15.0
+	export GDAL_VER=3.13.1
+	export PROJ_VER=9.8.1
 	export SFCGAL_VER=2.3.0
-	export CGAL_VER=6.0.1
+	export CGAL_VER=6.0.2
 	export ICON_VER=1.17
 	export ZLIB_VER=1.2.13
 	export PROTOBUF_VER=3.2.0
 	export PROTOBUFC_VER=1.2.1
 	export JSON_VER=0.16
-	export PROJSO=libproj_8_2.dll
+	export PROJSO=libproj_9.dll
 	export LZ4_VER=1.9.3
 fi;
 
@@ -45,6 +45,11 @@ if  [[ "${ICON_VER}" == '' ]] ; then
   export ICON_VER=1.17
 fi;
 
+
+if  [[ "${NPROC}" == '' ]] ; then
+  export NPROC=2
+fi;
+
 echo "ICON_VER ${ICON_VER}"
 
 if  [[ "${LZ4_VER}" == '' ]] ; then

commit 748d1018fdf67b183722f801b848727faccb3fde
Author: Regina Obe <lr at pcorp.us>
Date:   Mon Sep 7 20:10:44 2026 -0400

    PREPPING FOR 3.7.0rc2 RELEASE
    
     - Update versions in docs

diff --git a/doc/postgis.xml b/doc/postgis.xml
index e6566362e..55c3147ea 100644
--- a/doc/postgis.xml
+++ b/doc/postgis.xml
@@ -13,10 +13,10 @@
 
 <!-- Change these values to update the version numbers referenced within the documentation -->
 <!ENTITY last_proj_release_version "9.2.1">
-<!ENTITY last_geos_release_version "3.14.0">
+<!ENTITY last_geos_release_version "3.15.0">
 <!ENTITY min_geos_version "3.10.0">
 <!ENTITY min_postgres_version "14">
-<!ENTITY max_postgres_version "19beta2">
+<!ENTITY max_postgres_version "19">
 
 <!ENTITY introduction SYSTEM "introduction.xml">
 <!ENTITY credits SYSTEM "credits.xml">

-----------------------------------------------------------------------

Summary of changes:
 .github/workflows/ci.yml     |  4 ++--
 NEWS                         |  6 ++++++
 ci/winnie/regress_postgis.sh |  2 +-
 ci/winnie/winnie_common.sh   | 15 ++++++++++-----
 doc/Makefile.in              |  6 +++---
 doc/html/images/Makefile.in  |  9 +--------
 doc/postgis.xml              |  4 ++--
 7 files changed, 25 insertions(+), 21 deletions(-)


hooks/post-receive
-- 
PostGIS


More information about the postgis-tickets mailing list